# Class TCEFFileDialogInfo

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFFileDialogInfo

## Declaration

`type TCEFFileDialogInfo = class(TObject)`

## Description

This item has no description.

## Hierarchy

- TObject
- TCEFFileDialogInfo

## Overview

### Fields

| `FMode: Cardinal;`
| `FTitle: ustring;`
| `FDefaultFilePath: ustring;`
| `FAcceptFilters: TStrings;`
| `FAcceptExtensions: TStrings;`
| `FAcceptDescriptions: TStrings;`
| `FCallback: ICefFileDialogCallback;`
| `FDefaultAudioFileDesc: ustring;`
| `FDefaultVideoFileDesc: ustring;`
| `FDefaultTextFileDesc: ustring;`
| `FDefaultImageFileDesc: ustring;`
| `FDefaultAllFileDesc: ustring;`
| `FDefaultUnknownFileDesc: ustring;`

### Methods

| `function GetDialogFilter: ustring; virtual;`
| `function GetDialogType: TCEFDialogType;`
| `procedure SetAcceptFilters(const aAcceptFilters : TStrings);`
| `procedure SetAcceptExtensions(const aAcceptExtensions : TStrings);`
| `procedure SetAcceptDescriptions(const aAcceptDescriptions : TStrings);`
| `function ConvertExtensions(aExtensions : ustring): ustring;`
| `function CEFAcceptFilterToDialogFilter(const aAcceptFilter, aExtension, aDescription : ustring) : ustring; virtual;`
| `function GetDefaultMimeTypeDescription(const aMimeType : ustring) : ustring; virtual;`
| `constructor Create;`
| `destructor Destroy; override;`
| `procedure Clear;`

### Properties

| `property Mode : Cardinal read FMode write FMode;`
| `property Title : ustring read FTitle write FTitle;`
| `property DefaultFilePath : ustring read FDefaultFilePath write FDefaultFilePath;`
| `property AcceptFilters : TStrings write SetAcceptFilters;`
| `property AcceptExtensions : TStrings write SetAcceptExtensions;`
| `property AcceptDescriptions : TStrings write SetAcceptDescriptions;`
| `property Callback : ICefFileDialogCallback read FCallback write FCallback;`
| `property DialogFilter : ustring read GetDialogFilter;`
| `property DialogType : TCEFDialogType read GetDialogType;`
| `property DefaultAudioFileDesc : ustring read FDefaultAudioFileDesc write FDefaultAudioFileDesc;`
| `property DefaultVideoFileDesc : ustring read FDefaultVideoFileDesc write FDefaultVideoFileDesc;`
| `property DefaultTextFileDesc : ustring read FDefaultTextFileDesc write FDefaultTextFileDesc;`
| `property DefaultImageFileDesc : ustring read FDefaultImageFileDesc write FDefaultImageFileDesc;`
| `property DefaultAllFileDesc : ustring read FDefaultAllFileDesc write FDefaultAllFileDesc;`
| `property DefaultUnknownFileDesc : ustring read FDefaultUnknownFileDesc write FDefaultUnknownFileDesc;`

## Description

### Fields

| `FMode: Cardinal;`
This item has no description.

| `FTitle: ustring;`
This item has no description.

| `FDefaultFilePath: ustring;`
This item has no description.

| `FAcceptFilters: TStrings;`
This item has no description.

| `FAcceptExtensions: TStrings;`
This item has no description.

| `FAcceptDescriptions: TStrings;`
This item has no description.

| `FCallback: ICefFileDialogCallback;`
This item has no description.

| `FDefaultAudioFileDesc: ustring;`
This item has no description.

| `FDefaultVideoFileDesc: ustring;`
This item has no description.

| `FDefaultTextFileDesc: ustring;`
This item has no description.

| `FDefaultImageFileDesc: ustring;`
This item has no description.

| `FDefaultAllFileDesc: ustring;`
This item has no description.

| `FDefaultUnknownFileDesc: ustring;`
This item has no description.

### Methods

| `function GetDialogFilter: ustring; virtual;`
This item has no description.

| `function GetDialogType: TCEFDialogType;`
This item has no description.

| `procedure SetAcceptFilters(const aAcceptFilters : TStrings);`
This item has no description.

| `procedure SetAcceptExtensions(const aAcceptExtensions : TStrings);`
This item has no description.

| `procedure SetAcceptDescriptions(const aAcceptDescriptions : TStrings);`
This item has no description.

| `function ConvertExtensions(aExtensions : ustring): ustring;`
This item has no description.

| `function CEFAcceptFilterToDialogFilter(const aAcceptFilter, aExtension, aDescription : ustring) : ustring; virtual;`
This item has no description.

| `function GetDefaultMimeTypeDescription(const aMimeType : ustring) : ustring; virtual;`
This item has no description.

| `constructor Create;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure Clear;`
This item has no description.

### Properties

| `property Mode : Cardinal read FMode write FMode;`
This item has no description.

| `property Title : ustring read FTitle write FTitle;`
This item has no description.

| `property DefaultFilePath : ustring read FDefaultFilePath write FDefaultFilePath;`
This item has no description.

| `property AcceptFilters : TStrings write SetAcceptFilters;`
This item has no description.

| `property AcceptExtensions : TStrings write SetAcceptExtensions;`
This item has no description.

| `property AcceptDescriptions : TStrings write SetAcceptDescriptions;`
This item has no description.

| `property Callback : ICefFileDialogCallback read FCallback write FCallback;`
This item has no description.

| `property DialogFilter : ustring read GetDialogFilter;`
This item has no description.

| `property DialogType : TCEFDialogType read GetDialogType;`
This item has no description.

| `property DefaultAudioFileDesc : ustring read FDefaultAudioFileDesc write FDefaultAudioFileDesc;`
This item has no description.

| `property DefaultVideoFileDesc : ustring read FDefaultVideoFileDesc write FDefaultVideoFileDesc;`
This item has no description.

| `property DefaultTextFileDesc : ustring read FDefaultTextFileDesc write FDefaultTextFileDesc;`
This item has no description.

| `property DefaultImageFileDesc : ustring read FDefaultImageFileDesc write FDefaultImageFileDesc;`
This item has no description.

| `property DefaultAllFileDesc : ustring read FDefaultAllFileDesc write FDefaultAllFileDesc;`
This item has no description.

| `property DefaultUnknownFileDesc : ustring read FDefaultUnknownFileDesc write FDefaultUnknownFileDesc;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.